import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class TriangleCheckerTest {

    @Test
    void checkNone() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(0, 0, 0));



    }
    @Test
    void checkNormal() {
        assertEquals(TriangleChecker.TriangleType.NORMAL, TriangleChecker.checkTriangle(1, 2, 3));



    }

    @Test
    void checkISOSCELES() {
        assertEquals(TriangleChecker.TriangleType.ISOSCELES, TriangleChecker.checkTriangle(1, 1, 2));



    }
    @Test
    void checkEQUILATERAL() {
        assertEquals(TriangleChecker.TriangleType.EQUILATERAL, TriangleChecker.checkTriangle(1, 1, 1));



    }
}